;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;  Instruction INI file for gfx+cc installer
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;-----NOTE: USE ALL LOWER CASE FOR SECTION AND PROPERTY NAMES


;***************************************** General Format
;[section]
;property1=value1
;property2=value2
;property3=value3
;uninstall=true | false | only
;[/section]


;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;++                               BEGIN                                 ++
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;-------------------------------------------------------------------------
;--                         VARIABLE DECLARATIONS                       --
;-------------------------------------------------------------------------
[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)	       ;pre-defined
installdir=%progfilesdir%\Intel\Intel USBC Client
startfolder=Intel(R) USBC Client
[/variables]

[installoptions]
rebootonfilelock=false
drivercomponent=client
utilityoptions=false
[/installoptions]

[copy file]
source=%path%\setup.exe
destination=%installdir%\setup.exe
uninstall=true
[/copy file]

[copy file]
source=%path%\IIF2.ini
destination=%installdir%\IIF2.ini
uninstall=true
[/copy file]

[copy file]
source=%path%\Lang\USBCClient\%lang%\USBC%lang%.dll
destination=%installdir%\Lang\USBCClient\%lang%\USBC%lang%.dll
uninstall=true
[/copy file]

[copy file]
source=%path%\disk0.img
destination=%system%\Drivers\disk0.img
uninstall=true
[/copy file]

[registry]
keyroot=HKLM
keypath=Software\Intel\USBCClient\InstanceConfig
keyvalue=ArpNumRetries
keydata=15
keytype=dw
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=Software\Intel\USBCClient\InstanceConfig
keyvalue=ArpRetryInterval
keydata=6
keytype=dw
uninstall=true
[/registry]


[copy file]
source=%path%\difxapi.dll
destination=%system%\difxapi.dll
uninstall=false
[/copy file]

[copy file]
source=%path%\x64\difxapi.dll
destination=%system%\x64\difxapi.dll
uninstall=false
condition=IsWoW
[/copy file]

[copy file]
source=%path%\x64\Difx64.exe
destination=%system%\x64\Difx64.exe
uninstall=false
condition=IsWoW
[/copy file]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\USBCClient
keyvalue=DisplayName
keydata=Intel(R) USBC Client
keytype=sz
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\USBCClient
keyvalue=UninstallString
keydata="%installdir%\setup.exe" -uninstall
keytype=sz
uninstall=true
postinstallonly=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Intel\USBCClient
keyvalue=installdir
keydata=%installdir%
keytype=sz
uninstall=true
[/registry]

;[registry]
;keyroot=HKLM
;keypath=SOFTWARE\Intel\USBCClient
;keyvalue=FixedIPAddress
;keydata=192.168.214.183
;keytype=sz
;uninstall=true
;[/registry]

;[registry]
;keyroot=HKLM
;keypath=SOFTWARE\Intel\USBCClient
;keyvalue=FixedSubnet
;keydata=255.255.255.0
;keytype=sz
;uninstall=true
;[/registry]

[copy file]
source=%path%\usbccoin.dll
destination=%system%\usbccoin.dll
uninstall=only
postinstallonly=true
[/copy file]
